// TimersDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CTimersDlg dialog
class CTimersDlg : public CDialog
{
// Construction
public:
	CTimersDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_TIMERS_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CString m_sTime;
	afx_msg void OnTimer(UINT nIDEvent);
	int m_iInterval;
	CString m_sCount;
	CButton m_cStartTime;
	CButton m_cStopTime;
private:
	int m_iCount;
public:
	afx_msg void OnEnChangeInterval();
	afx_msg void OnBnClickedStarttime();
	afx_msg void OnBnClickedStoptimer();
	afx_msg void OnBnClickedExit();
private:
	BOOL m_bPreventUpdate;
};
