// DialogsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Dialogs.h"
#include "MsgDlg.h"
#include "DialogsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CDialogsDlg dialog



CDialogsDlg::CDialogsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogsDlg::IDD, pParent)
	, m_strResults(_T(""))
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CDialogsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_RESULTS, m_strResults);
	DDX_Control(pDX, IDC_BWHICHOPTION, m_cWhichOption);
}

BEGIN_MESSAGE_MAP(CDialogsDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_EXIT, OnBnClickedExit)
	ON_BN_CLICKED(IDC_YESNOCANCEL, OnBnClickedYesnocancel)
	ON_BN_CLICKED(IDC_ABORTRETRYIGNORE, OnBnClickedAbortretryignore)
	ON_BN_CLICKED(IDC_FILEOPEN, OnBnClickedFileopen)
	ON_BN_CLICKED(IDC_BCUSTOMDIALOG, OnBnClickedBcustomdialog)
	ON_BN_CLICKED(IDC_BWHICHOPTION, OnBnClickedBwhichoption)
END_MESSAGE_MAP()


// CDialogsDlg message handlers

BOOL CDialogsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDialogsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDialogsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDialogsDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CDialogsDlg::OnBnClickedExit()
{
	// TODO: Add your control notification handler code here
	// Close the application
	OnOK();
}

void CDialogsDlg::OnBnClickedYesnocancel()
{
	// TODO: Add your control notification handler code here
	int iResults; // This variable will capture the button selection

	// Ask the user
	iResults = MessageBox("Press the Yes, No, or Cancel button",
				"Yes, No, Cancel Dialog", 
				MB_YESNOCANCEL | MB_ICONINFORMATION);

	// Determine which button the user clicked
	// Give the user a message showing which button was clicked
	switch (iResults)
	{
	case IDYES:	// The Yes button?
		m_strResults = "Yes! Yes! Yes!";
		break;
	case IDNO:	// The No button?
		m_strResults = "No, no, no, no, no.";
		break;
	case IDCANCEL:	// The Cancel button?
		m_strResults = "Sorry, canceled.";
		break;
	}

	// Update the dialog
	UpdateData(FALSE);
}

void CDialogsDlg::OnBnClickedAbortretryignore()
{
	// TODO: Add your control notification handler code here
	int iResults; // This variable will capture the button selection

	// Ask the user
	iResults = MessageBox("Press the Abort, Retry, or Ignore button",
				"Abort, Retry, Ignore Dialog", 
				MB_ABORTRETRYIGNORE | MB_ICONQUESTION);

	// Determine which button the user clicked
	// Give the user a message showing which button was clicked
	switch (iResults)
	{
	case IDRETRY:	// The Retry button?
		m_strResults = "Trying again...";
		break;
	case IDABORT:	// The Abort button?
		m_strResults = "Aborting, please wait...";
		break;
	case IDIGNORE:	// The Ignore button?
		m_strResults = "Did you do something?";
		break;
	}

	// Update the dialog
	UpdateData(FALSE);
}

void CDialogsDlg::OnBnClickedFileopen()
{
	// TODO: Add your control notification handler code here
	CFileDialog m_ldFile(TRUE);

	// Show the File Open dialog and capture the result
	if (m_ldFile.DoModal() == IDOK)
	{
		// Get the file name selected
		m_strResults = m_ldFile.GetFileName();
		// Update the dialog
		UpdateData(FALSE);
	}
}

void CDialogsDlg::OnBnClickedBcustomdialog()
{
	// TODO: Add your control notification handler code here
	// Show the message dialog and capture the result
	if (m_dMsgDlg.DoModal () == IDOK)
	{
		// The user checked OK, display the message the
		// user typed in on the message dialog
		m_strResults = m_dMsgDlg.m_strMessage;
		// Update the dialog
		UpdateData(FALSE);
		// Enable the Which Option button
		m_cWhichOption.EnableWindow(TRUE);
	}
}

void CDialogsDlg::OnBnClickedBwhichoption()
{
	// TODO: Add your control notification handler code here
	// Determine which radio button was selected, and display
	// a message for the user to show which one was selected.
	switch(m_dMsgDlg.m_iOption)
	{
	case 0:	// Was it the first radio button?
		m_strResults = "The first option was selected.";
		break;
	case 1:	// Was it the second radio button?
		m_strResults = "The second option was selected.";
		break;
	case 2:	// Was it the third radio button?
		m_strResults = "The third option was selected.";
		break;
	case 3:	// Was it the fourth radio button?
		m_strResults = "The fourth option was selected.";
		break;
	default:	// Were none of the radio buttons selected?
		m_strResults = "No option was selected.";
		break;
	}

	// Update the dialog
	UpdateData(FALSE);
}
