// SDISquigDoc.h : interface of the CSDISquigDoc class
//


#pragma once
#include "afxcoll.h"
#include "line.h"

class CSDISquigDoc : public CDocument
{
protected: // create from serialization only
	CSDISquigDoc();
	DECLARE_DYNCREATE(CSDISquigDoc)

// Attributes
public:

// Operations
public:

// Overrides
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CSDISquigDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
private:
	CObArray m_oaLines;
public:
	// Get the current drawing color
    static const COLORREF m_crColors[8];
	CLine* AddLine(CPoint ptFrom, CPoint ptTo);
	int GetLineCount(void);
	CLine* GetLine(int iIndex);
	virtual void DeleteContents();
private:
	UINT m_nColor;
public:
	UINT GetColor(void);
	afx_msg void OnColorBlack();
	afx_msg void OnUpdateColorBlack(CCmdUI *pCmdUI);
	afx_msg void OnColorBlue();
	afx_msg void OnUpdateColorBlue(CCmdUI *pCmdUI);
	afx_msg void OnColorGreen();
	afx_msg void OnUpdateColorGreen(CCmdUI *pCmdUI);
	afx_msg void OnColorCyan();
	afx_msg void OnUpdateColorCyan(CCmdUI *pCmdUI);
	afx_msg void OnColorRed();
	afx_msg void OnUpdateColorRed(CCmdUI *pCmdUI);
	afx_msg void OnColorMagenta();
	afx_msg void OnUpdateColorMagenta(CCmdUI *pCmdUI);
	afx_msg void OnColorYellow();
	afx_msg void OnUpdateColorYellow(CCmdUI *pCmdUI);
	afx_msg void OnColorWhite();
	afx_msg void OnUpdateColorWhite(CCmdUI *pCmdUI);
};


