// SDISquigView.cpp : implementation of the CSDISquigView class
//

#include "stdafx.h"
#include "SDISquig.h"

#include "SDISquigDoc.h"
#include "SDISquigView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CSDISquigView

IMPLEMENT_DYNCREATE(CSDISquigView, CView)

BEGIN_MESSAGE_MAP(CSDISquigView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
	ON_WM_MOUSEMOVE()
END_MESSAGE_MAP()

// CSDISquigView construction/destruction

CSDISquigView::CSDISquigView()
: m_ptPrevPos(0)
{
	// TODO: add construction code here

}

CSDISquigView::~CSDISquigView()
{
}

BOOL CSDISquigView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CSDISquigView drawing

void CSDISquigView::OnDraw(CDC* pDC)
{
	CSDISquigDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
	// Get the number of lines in the document
    int iCount = pDoc->GetLineCount();

    // Are there any lines in the document?
    if (iCount)
    {
        int iPos;
        CLine *pLine = NULL;

        // Loop through the lines in the document
        for (iPos = 0; iPos < iCount; iPos++)
        {
            // Get the line segment to be drawn
            pLine = pDoc->GetLine(iPos);
            // Draw the line
            pLine->Draw(pDC);
        }
    }
}


// CSDISquigView printing

BOOL CSDISquigView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CSDISquigView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CSDISquigView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CSDISquigView diagnostics

#ifdef _DEBUG
void CSDISquigView::AssertValid() const
{
	CView::AssertValid();
}

void CSDISquigView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CSDISquigDoc* CSDISquigView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CSDISquigDoc)));
	return (CSDISquigDoc*)m_pDocument;
}
#endif //_DEBUG


// CSDISquigView message handlers

void CSDISquigView::OnLButtonDown(UINT nFlags, CPoint point)
{
	// TODO: Add your message handler code here and/or call default
	// Capture the mouse, so no other application can
    // grab it if the mouse leaves the window area
    SetCapture();
    // Save the point
    m_ptPrevPos = point;

	CView::OnLButtonDown(nFlags, point);
}

void CSDISquigView::OnLButtonUp(UINT nFlags, CPoint point)
{
	// TODO: Add your message handler code here and/or call default
	// Have we captured the mouse?
    if (GetCapture() == this)
        // If so, release it so other applications can
        // have it
        ReleaseCapture();

	CView::OnLButtonUp(nFlags, point);
}

void CSDISquigView::OnMouseMove(UINT nFlags, CPoint point)
{
	// TODO: Add your message handler code here and/or call default
	// Check to see if the left mouse button is down
    if ((nFlags & MK_LBUTTON) == MK_LBUTTON)
    {
        // Have we captured the mouse?
        if (GetCapture() == this)
        {
            // Get the Device Context
            CClientDC dc(this);

            // Add the line to the document
            CLine *pLine = GetDocument()->AddLine(m_ptPrevPos, point);

            // Draw the current stretch of line
            pLine->Draw(&dc);

            // Save the current point as the previous point
            m_ptPrevPos = point;
        }
    }
	CView::OnMouseMove(nFlags, point);
}
