// SDISquigView.h : interface of the CSDISquigView class
//


#pragma once
#include "atltypes.h"


class CSDISquigView : public CView
{
protected: // create from serialization only
	CSDISquigView();
	DECLARE_DYNCREATE(CSDISquigView)

// Attributes
public:
	CSDISquigDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CSDISquigView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
private:
	CPoint m_ptPrevPos;
public:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
};

#ifndef _DEBUG  // debug version in SDISquigView.cpp
inline CSDISquigDoc* CSDISquigView::GetDocument() const
   { return reinterpret_cast<CSDISquigDoc*>(m_pDocument); }
#endif

