#include "StdAfx.h"
#include "person.h"

IMPLEMENT_SERIAL (CPerson, CObject, 1)

CPerson::CPerson(void)
: m_bEmployed(FALSE)
, m_iAge(0)
, m_strName(_T(""))
, m_iMaritalStatus(0)
{
}

CPerson::~CPerson(void)
{
}

void CPerson::Serialize(CArchive& ar)
{
	// Call the ancestor function
    CObject::Serialize(ar);

    // Are we writing?
    if (ar.IsStoring())
        // Write all of the variables, in order
        ar << m_strName << m_iAge << m_iMaritalStatus << m_bEmployed;
    else
        // Read all of the variables, in order
        ar >> m_strName >> m_iAge >> m_iMaritalStatus >> m_bEmployed;
}
