// SerializeDoc.h : interface of the CSerializeDoc class
//


#pragma once
#include "afxcoll.h"
#include "Person.h"

class CSerializeDoc : public CDocument
{
protected: // create from serialization only
	CSerializeDoc();
	DECLARE_DYNCREATE(CSerializeDoc)

// Attributes
public:

// Operations
public:

// Overrides
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CSerializeDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
private:
	int m_iCurPosition;
	CObArray m_oaPeople;
	CPerson* AddNewRecord(void);
public:
	int GetTotalRecords(void);
	int GetCurRecordNbr(void);
	CPerson* GetCurRecord(void);
	CPerson* GetFirstRecord(void);
	CPerson* GetNextRecord(void);
	CPerson* GetPrevRecord(void);
	CPerson* GetLastRecord(void);
	virtual void DeleteContents();
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
};


