// AdoDatabaseDoc.h : interface of the CAdoDatabaseDoc class
//


#pragma once
#include "customrs.h"

class CAdoDatabaseDoc : public CDocument
{
protected: // create from serialization only
	CAdoDatabaseDoc();
	DECLARE_DYNCREATE(CAdoDatabaseDoc)

// Attributes
public:

// Operations
public:

// Overrides
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CAdoDatabaseDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
private:
	CCustomRs m_rsRecSet;
public:
	CCustomRs* GetRecSet(void);
	void GenerateError(HRESULT hr, PWSTR pwszDescription);
private:
	_RecordsetPtr m_ptrRs;
	IADORecordBinding* m_piAdoRecordBinding;
	CString m_strConnection;
	CString m_strCmdText;
public:
	virtual void DeleteContents();
	void MoveFirst(void);
	void MovePrevious(void);
	void MoveNext(void);
	void MoveLast(void);
	void AddNew(void);
private:
	void CreateBlankRecord(void);
public:
	void Delete(void);
};


