// AdoDatabaseView.h : interface of the CAdoDatabaseView class
//


#pragma once
#include "atlcomtime.h"


class CAdoDatabaseView : public CFormView
{
protected: // create from serialization only
	CAdoDatabaseView();
	DECLARE_DYNCREATE(CAdoDatabaseView)

public:
	enum{ IDD = IDD_ADODATABASE_FORM };

// Attributes
public:
	CAdoDatabaseDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CAdoDatabaseView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	long m_lAddressID;
	CString m_strFirstName;
	CString m_strLastName;
	CString m_strSpouseName;
	CString m_strAddress;
	CString m_strCity;
	CString m_strStateOrProvince;
	CString m_strPostalCode;
	CString m_strCountry;
	CString m_strEmailAddress;
	CString m_strHomePhone;
	CString m_strWorkPhone;
	CString m_strWorkExtension;
	CString m_strFaxNumber;
	COleDateTime m_oledtBirthdate;
	BOOL m_bSendCard;
	CString m_strNotes;
	void RefreshBoundData(void);
private:
	void UpdateBoundData(void);
public:
	afx_msg void OnDataFirst();
	afx_msg void OnDataPrevious();
	afx_msg void OnDataNext();
	afx_msg void OnDataLast();
	afx_msg void OnDataNew();
	afx_msg void OnDataDeletecurrent();
};

#ifndef _DEBUG  // debug version in AdoDatabaseView.cpp
inline CAdoDatabaseDoc* CAdoDatabaseView::GetDocument() const
   { return reinterpret_cast<CAdoDatabaseDoc*>(m_pDocument); }
#endif

