#pragma once
#include "afx.h"
#include "atltypes.h"

class CLine :
	public CObject
{
	DECLARE_SERIAL (CLine)
public:
	CLine(void);
	~CLine(void);
private:
	CPoint m_ptFrom;
	CPoint m_ptTo;
public:
	CLine(CPoint ptFrom, CPoint ptTo, COLORREF crColor, UINT nWidth);
	void Draw(CDC* pDC);
	void Serialize(CArchive& ar);
private:
	COLORREF m_crColor;
	UINT m_nWidth;
};
