// TestAppView.h : interface of the CTestAppView class
//


#pragma once


class CTestAppView : public CView
{
protected: // create from serialization only
	CTestAppView();
	DECLARE_DYNCREATE(CTestAppView)

// Attributes
public:
	CTestAppDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CTestAppView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TestAppView.cpp
inline CTestAppDoc* CTestAppView::GetDocument() const
   { return reinterpret_cast<CTestAppDoc*>(m_pDocument); }
#endif

