#pragma once
#include "afx.h"
#include "atltypes.h"
#include "afxcoll.h"

class CModArt :
	public CObject
{
public:
	CModArt(void);
	~CModArt(void);
private:
	CRect m_rDrawArea;
	CObArray m_oaLines;
public:
	void SetRect(CRect rDrawArea);
private:
	void NewLine(void);
public:
	void NewDrawing(void);
	void Draw(CDC* pDC);
	void Serialize(CArchive& ar);
	void ClearDrawing(void);
private:
	int m_iLength;
	int m_iSegments;
public:
	int GetLength(void);
	void SetLength(int iLength);
	int GetSegments(void);
	void SetSegments(int iSegments);
};
