// SquigglePropPage.cpp : Implementation of the CSquigglePropPage property page class.

#include "stdafx.h"
#include "Squiggle.h"
#include "SquigglePropPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


IMPLEMENT_DYNCREATE(CSquigglePropPage, COlePropertyPage)



// Message map

BEGIN_MESSAGE_MAP(CSquigglePropPage, COlePropertyPage)
END_MESSAGE_MAP()



// Initialize class factory and guid

IMPLEMENT_OLECREATE_EX(CSquigglePropPage, "SQUIGGLE.SquigglePropPage.1",
	0x54f7de47, 0x46c6, 0x4167, 0xba, 0x54, 0x1a, 0x28, 0xb7, 0x1e, 0x56, 0xf)



// CSquigglePropPage::CSquigglePropPageFactory::UpdateRegistry -
// Adds or removes system registry entries for CSquigglePropPage

BOOL CSquigglePropPage::CSquigglePropPageFactory::UpdateRegistry(BOOL bRegister)
{
	if (bRegister)
		return AfxOleRegisterPropertyPageClass(AfxGetInstanceHandle(),
			m_clsid, IDS_SQUIGGLE_PPG);
	else
		return AfxOleUnregisterClass(m_clsid, NULL);
}



// CSquigglePropPage::CSquigglePropPage - Constructor

CSquigglePropPage::CSquigglePropPage() :
	COlePropertyPage(IDD, IDS_SQUIGGLE_PPG_CAPTION)
		, m_bKeepDrawing(FALSE)
		, m_iLenSquig(0)
		, m_iNbrSquiggles(0)
	{
}



// CSquigglePropPage::DoDataExchange - Moves data between page and properties

void CSquigglePropPage::DoDataExchange(CDataExchange* pDX)
{
	DDP_Check(pDX, IDC_CMAINTDRAW, m_bKeepDrawing, _T("KeepCurrentDrawing"));
	DDX_Check(pDX, IDC_CMAINTDRAW, m_bKeepDrawing);
	DDP_Text(pDX, IDC_ELENSQUIG, m_iLenSquig, _T("SquiggleLength"));
	DDX_Text(pDX, IDC_ENBRSQUIG, m_iNbrSquiggles);
	DDP_Text(pDX, IDC_ENBRSQUIG, m_iNbrSquiggles, _T("NumberSquiggles"));
	DDX_Text(pDX, IDC_ELENSQUIG, m_iLenSquig);
	DDP_PostProcessing(pDX);
}



// CSquigglePropPage message handlers
