// TaskingDoc.h : interface of the CTaskingDoc class
//


#pragma once
#include "spinner.h"

class CTaskingDoc : public CDocument
{
protected: // create from serialization only
	CTaskingDoc();
	DECLARE_DYNCREATE(CTaskingDoc)

// Attributes
public:

// Operations
public:

// Overrides
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CTaskingDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
private:
	void CalcPoint(int iID, CSpinner* pSpin);
	void InitSpinners(void);
public:
	void DoSpin(int iIndex);
private:
	static UINT ThreadFunc(LPVOID pParam);
	CWinThread* m_pSpinThread[2];
public:
	void SuspendSpinner(int iIndex, bool bRun);
private:
	CSpinner m_cSpin[4];
};


