// TaskingView.cpp : implementation of the CTaskingView class
//

#include "stdafx.h"
#include "Tasking.h"

#include "TaskingDoc.h"
#include "TaskingView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTaskingView

IMPLEMENT_DYNCREATE(CTaskingView, CFormView)

BEGIN_MESSAGE_MAP(CTaskingView, CFormView)
	ON_BN_CLICKED(IDC_CBONIDLE1, OnBnClickedCbonidle1)
	ON_BN_CLICKED(IDC_CBONIDLE2, OnBnClickedCbonidle2)
	ON_BN_CLICKED(IDC_CBTHREAD1, OnBnClickedCbthread1)
	ON_BN_CLICKED(IDC_CBTHREAD2, OnBnClickedCbthread2)
	ON_WM_DESTROY()
END_MESSAGE_MAP()

// CTaskingView construction/destruction

CTaskingView::CTaskingView()
	: CFormView(CTaskingView::IDD)
	, m_bOnIdle1(FALSE)
	, m_bOnIdle2(FALSE)
	, m_bThread1(FALSE)
	, m_bThread2(FALSE)
{
	// TODO: add construction code here

}

CTaskingView::~CTaskingView()
{
}

void CTaskingView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_CBONIDLE1, m_bOnIdle1);
	DDX_Check(pDX, IDC_CBONIDLE2, m_bOnIdle2);
	DDX_Check(pDX, IDC_CBTHREAD1, m_bThread1);
	DDX_Check(pDX, IDC_CBTHREAD2, m_bThread2);
}

BOOL CTaskingView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

void CTaskingView::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();
	GetParentFrame()->RecalcLayout();
	ResizeParentToFit();
}


// CTaskingView diagnostics

#ifdef _DEBUG
void CTaskingView::AssertValid() const
{
	CFormView::AssertValid();
}

void CTaskingView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CTaskingDoc* CTaskingView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CTaskingDoc)));
	return (CTaskingDoc*)m_pDocument;
}
#endif //_DEBUG


// CTaskingView message handlers

void CTaskingView::OnBnClickedCbonidle1()
{
	// TODO: Add your control notification handler code here
	// Sync the variables with the dialog
	UpdateData(TRUE);
}

void CTaskingView::OnBnClickedCbonidle2()
{
	// TODO: Add your control notification handler code here
	// Sync the variables with the dialog
	UpdateData(TRUE);
}

void CTaskingView::OnBnClickedCbthread1()
{
	// TODO: Add your control notification handler code here
	// Sync the variables with the dialog
	UpdateData(TRUE);
    // Get a pointer to the document
    CTaskingDoc* pDocWnd = GetDocument();
    // Did we get a valid pointer?
    ASSERT_VALID(pDocWnd);

    // Suspend or start the spinner thread
    pDocWnd->SuspendSpinner(0, m_bThread1);
}

void CTaskingView::OnBnClickedCbthread2()
{
	// TODO: Add your control notification handler code here
	// Sync the variables with the dialog
	UpdateData(TRUE);
    // Get a pointer to the document
    CTaskingDoc* pDocWnd = GetDocument();
    // Did we get a valid pointer?
    ASSERT_VALID(pDocWnd);

    // Suspend or start the spinner thread
    pDocWnd->SuspendSpinner(1, m_bThread2);
}

void CTaskingView::OnDestroy()
{
	CFormView::OnDestroy();

	// TODO: Add your message handler code here
	// Is the first thread running?
	if (m_bThread1)
    {
        // Specify to stop the first thread
        m_bThread1 = FALSE;
        // Get a pointer to the document
        CTaskingDoc* pDocWnd = GetDocument();
        // Did we get a valid pointer?
        ASSERT_VALID(pDocWnd);

        // Suspend or start the spinner thread
        pDocWnd->SuspendSpinner(0, m_bThread1);
    }
    // Is the second thread running?
    if (m_bThread2)
    {
        // Specify to stop the second thread
        m_bThread2 = FALSE;
        // Get a pointer to the document
        CTaskingDoc* pDocWnd = GetDocument();
        // Did we get a valid pointer?
        ASSERT_VALID(pDocWnd);

        // Suspend or start the spinner thread
        pDocWnd->SuspendSpinner(1, m_bThread2);
    }
}
