// TaskingView.h : interface of the CTaskingView class
//


#pragma once


class CTaskingView : public CFormView
{
protected: // create from serialization only
	CTaskingView();
	DECLARE_DYNCREATE(CTaskingView)

public:
	enum{ IDD = IDD_TASKING_FORM };

// Attributes
public:
	CTaskingDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CTaskingView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	BOOL m_bOnIdle1;
	BOOL m_bOnIdle2;
	BOOL m_bThread1;
	BOOL m_bThread2;
	afx_msg void OnBnClickedCbonidle1();
	afx_msg void OnBnClickedCbonidle2();
	afx_msg void OnBnClickedCbthread1();
	afx_msg void OnBnClickedCbthread2();
	afx_msg void OnDestroy();
};

#ifndef _DEBUG  // debug version in TaskingView.cpp
inline CTaskingDoc* CTaskingView::GetDocument() const
   { return reinterpret_cast<CTaskingDoc*>(m_pDocument); }
#endif

