// TaxCalcClient.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "atlbase.h"
// TODO: Replace the path in the import directive with the correct
// path for your project
#import "..\TaxCalculations\Debug\TaxCalculations.dll"

int _tmain(int argc, _TCHAR* argv[])
{
    // Startup the COM environment
    CoInitialize(NULL);
    {
        // Use the namespace of the Tax Calculations module
        using namespace TaxCalculations;
        // Get the interface pointer for the tax calculations module
        IGetTaxForPurchasePtr pGetTax(L"TaxCalculations.GetTaxForPurchase");

        // Create the string for the category being purchased
        CComBSTR bstrCat1(OLESTR("clothing"));
        float fPurchaseAmt, fTaxAmt;

        // Specify the purchase amount
        fPurchaseAmt = 45.0;
        // Get the amount of taxes to collect
        if (pGetTax->GetPurchaseTaxes(fPurchaseAmt, &bstrCat1, &fTaxAmt) 
                == S_OK)
        {
            // add in the string conversion macros
            USES_CONVERSION;
            // Display the category being purchased
            printf("%s\n", W2A(bstrCat1));
            // Display the purchase amount
            printf("Purchase Amount = %9.2f\n", fPurchaseAmt);
            // Display the tax due
            printf("            Tax = %9.2f\n", fTaxAmt);
            // Display the total amount
            printf("      Total Due = %9.2f\n", fPurchaseAmt + fTaxAmt);
        }
    }
    // Shut down the COM environment
    CoUninitialize();
    return 0;
}

