#include "StdAfx.h"
#include "mgdgettaxforpurchase.h"

MgdGetTaxForPurchase::MgdGetTaxForPurchase(void)
{
    // Initialize the pointer to the calculation module
    m_pTaxCalc = new TaxCalcs::CTaxCalculator();
}

BOOL MgdGetTaxForPurchase::GetPurchaseTaxes(float fPurchaseAmt,
                System::String* pstrCategory, float* pfTax)
{
    wchar_t *pCat;
    int iLen;

    // Do we have a valid pointer to the variable into which
    // the tax due will be placed?
    if (!pfTax)
        return FALSE;
    // Convert the category from a managed string to a wchar_t
    __wchar_t pCategory __gc[] = pstrCategory->ToCharArray();
    iLen = pstrCategory->get_Length();
    pCat = new wchar_t[iLen + 1];
    for (int i = 0; i < iLen; i++)
    {
        pCat[i] = pCategory[i];
    }
    pCat[i] = NULL;
    // Calculate the taxes due
    if (m_pTaxCalc->CalculateTaxes(fPurchaseAmt, pCat, pfTax))
        return TRUE;
    else
        return FALSE;
}
