#include "StdAfx.h"
#include "taxcalculator.h"

namespace TaxCalcs
{
	CTaxCalculator::CTaxCalculator(void)
	{
	}

	CTaxCalculator::~CTaxCalculator(void)
	{
	}
}
BOOL TaxCalcs::CTaxCalculator::CalculateTaxes(float fPurchaseAmt, wchar_t* wszCategory, float* pfTaxAmt)
{
    // Declare the array of tax categories
    static const wchar_t *wszCategories[] = 
                {L"food", L"clothing", L"music"};
    // Declare the array of tax rates
    static const float fRates[] = {0.0725, 0.0835, 0.081};
    // Loop through the categories
    for (int i = 0; i < 3; i++)
    {
        // Is this the category purchased?
        if (wcscmp(wszCategory, wszCategories[i]) == 0)
        {
            // Yes, calculate the taxes due
            *pfTaxAmt = fPurchaseAmt * fRates[i];
            // Return TRUE
            return TRUE;
        }
    }
    // Couldn't find the category purchased, return FALSE
    return FALSE;
}
