// UnmgdClient.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <stdio.h>
#include "atlbase.h"
#include "mgdclient.h"

int _tmain(int argc, _TCHAR* argv[])
{
    MgdClient* pGetTax = new MgdClient();

    double dbPurchaseAmt, dbTaxAmt, dbTotalDue;

    // Create the string for the category being purchased
    wchar_t pstrCategory[20];

    wcscpy(pstrCategory, L"clothing");

    // Specify the purchase amount
    dbPurchaseAmt = 45.0;
    // Get the amount of taxes to collect
    dbTaxAmt = pGetTax->GetTaxes(dbPurchaseAmt, pstrCategory);
    if (dbTaxAmt > 0.0)
    {
        // Calculate the total due
        dbTotalDue = dbPurchaseAmt + dbTaxAmt;
        // Display the category being purchased
        USES_CONVERSION;
        printf("%s\n", W2A(pstrCategory));
        // Display the purchase amount
        printf("Purchase Amount = %9.2f\n", dbPurchaseAmt);
        // Display the tax due
        printf("            Tax = %9.2f\n", dbTaxAmt);
        // Display the total amount
        printf("      Total Due = %9.2f\n", dbTotalDue);
    }
    return 0;
}

