// ControlsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Controls.h"
#include "ControlsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CControlsDlg dialog



CControlsDlg::CControlsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CControlsDlg::IDD, pParent)
	, m_strMessage(_T(""))
	, m_strProgToRun(_T(""))
	, m_bEnableMsg(FALSE)
	, m_bEnablePgm(FALSE)
	, m_bShowMsg(FALSE)
	, m_bShowPgm(FALSE)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CControlsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_MSG, m_strMessage);
	DDX_CBString(pDX, IDC_PROGTORUN, m_strProgToRun);
	DDX_Check(pDX, IDC_CKENBLMSG, m_bEnableMsg);
	DDX_Check(pDX, IDC_CKENBLPGM, m_bEnablePgm);
	DDX_Check(pDX, IDC_CKSHWMSG, m_bShowMsg);
	DDX_Check(pDX, IDC_CKSHWPGM, m_bShowPgm);
}

BEGIN_MESSAGE_MAP(CControlsDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_EXIT, OnBnClickedExit)
	ON_BN_CLICKED(IDC_SHWMSG, OnBnClickedShwmsg)
	ON_BN_CLICKED(IDC_CLRMSG, OnBnClickedClrmsg)
	ON_BN_CLICKED(IDC_CKENBLMSG, OnBnClickedCkenblmsg)
	ON_BN_CLICKED(IDC_CKSHWMSG, OnBnClickedCkshwmsg)
	ON_BN_CLICKED(IDC_RUNPGM, OnBnClickedRunpgm)
END_MESSAGE_MAP()


// CControlsDlg message handlers

BOOL CControlsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	// Put a default message in the message edit
	m_strMessage = "Place a message here";

	// Set all of the check boxes to checked
	m_bShowMsg = TRUE;
	m_bShowPgm = TRUE;
	m_bEnableMsg = TRUE;
	m_bEnablePgm = TRUE;

	// Update the dialog with the values
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CControlsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CControlsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CControlsDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CControlsDlg::OnBnClickedExit()
{
	// TODO: Add your control notification handler code here
	// Exit the program
	OnOK();
}

void CControlsDlg::OnBnClickedShwmsg()
{
	// TODO: Add your control notification handler code here
	// Update the message variable with what the user entered
	UpdateData(TRUE);

	// Display the message for the user
	MessageBox(m_strMessage);
}

void CControlsDlg::OnBnClickedClrmsg()
{
	// TODO: Add your control notification handler code here
	// Clear the message
	m_strMessage = "";

	// Update the screen
	UpdateData(FALSE);
}

void CControlsDlg::OnBnClickedCkenblmsg()
{
	// TODO: Add your control notification handler code here
	// Get the current values from the screen
	UpdateData(TRUE);

	// Is the Enable Message Action check box checked?
	if (m_bEnableMsg == TRUE)
	{
		// Yes, so enable all controls that have anything 
		// to do with showing the user message
		GetDlgItem(IDC_MSG)->EnableWindow(TRUE);
		GetDlgItem(IDC_SHWMSG)->EnableWindow(TRUE);
		GetDlgItem(IDC_DFLTMSG)->EnableWindow(TRUE);
		GetDlgItem(IDC_CLRMSG)->EnableWindow(TRUE);
		GetDlgItem(IDC_STATICMSG)->EnableWindow(TRUE);
	}
	else
	{
		// No, so disable all controls that have anything 
		// to do with showing the user message
		GetDlgItem(IDC_MSG)->EnableWindow(FALSE);
		GetDlgItem(IDC_SHWMSG)->EnableWindow(FALSE);
		GetDlgItem(IDC_DFLTMSG)->EnableWindow(FALSE);
		GetDlgItem(IDC_CLRMSG)->EnableWindow(FALSE);
		GetDlgItem(IDC_STATICMSG)->EnableWindow(FALSE);
	}
}

void CControlsDlg::OnBnClickedCkshwmsg()
{
	// TODO: Add your control notification handler code here
	// Get the current values from the screen
	UpdateData(TRUE);

	// Is the Show Message Action check box checked?
	if (m_bShowMsg == TRUE)
	{
		// Yes, so show all controls that have anything 
		// to do with showing the user message
		GetDlgItem(IDC_MSG)->ShowWindow(TRUE);
		GetDlgItem(IDC_SHWMSG)->ShowWindow(TRUE);
		GetDlgItem(IDC_DFLTMSG)->ShowWindow(TRUE);
		GetDlgItem(IDC_CLRMSG)->ShowWindow(TRUE);
		GetDlgItem(IDC_STATICMSG)->ShowWindow(TRUE);
	}
	else
	{
		// No, so hide all controls that have anything 
		// to do with showing the user message
		GetDlgItem(IDC_MSG)->ShowWindow(FALSE);
		GetDlgItem(IDC_SHWMSG)->ShowWindow(FALSE);
		GetDlgItem(IDC_DFLTMSG)->ShowWindow(FALSE);
		GetDlgItem(IDC_CLRMSG)->ShowWindow(FALSE);
		GetDlgItem(IDC_STATICMSG)->ShowWindow(FALSE);
	}
}

void CControlsDlg::OnBnClickedRunpgm()
{
	// TODO: Add your control notification handler code here
	// Get the current values from the screen
	UpdateData(TRUE);

	// Declare a local variable for holding the program name
	CString strPgmName;

	// Copy the program name to the local variable
	strPgmName = m_strProgToRun;

	// Make the program name all uppercase
	strPgmName.MakeUpper();

	// Did the user select to run the Paint program?
	if (strPgmName == "PAINT")
		// Yes, run the Paint program
		WinExec("mspaint.exe", SW_SHOW);

	// Did the user select to run the Notepad program?
	if (strPgmName == "NOTEPAD")
		// Yes, run the Notepad program
		WinExec("notepad.exe", SW_SHOW);

	// Did the user select to run the Solitaire program?
	if (strPgmName == "SOLITAIRE")
		// Yes, run the Solitaire program
		WinExec("sol.exe", SW_SHOW);
}
