// TextFontsDlg.h : header file
//

#pragma once
#include "afxwin.h"

int CALLBACK MyEnumFontProc(LPENUMLOGFONTEX lpelf, NEWTEXTMETRICEX* lpntm, DWORD nFontType, long lParam);

// CTextFontsDlg dialog
class CTextFontsDlg : public CDialog
{
// Construction
public:
	CTextFontsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_TEXTFONTS_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CStatic m_ctlDisplayText;
	CString m_strDisplayText;
	CListBox m_ctlFontList;
	CString m_strFontName;
	CString m_strSampText;
	afx_msg void OnBnClickedExit();
private:
	void FillFontList(void);
public:
	afx_msg void OnEnChangeEsamptext();
private:
	CFont m_fSampFont;
	void SetMyFont(void);
public:
	afx_msg void OnLbnSelchangeLfonts();
};
