// MainFrm.h : interface of the CMainFrame class
//


#pragma once
#include "afxext.h"
#include "afxwin.h"
class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	DECLARE_MESSAGE_MAP()
	CToolBar m_wndColorBar;
public:
	afx_msg void OnViewColorbar();
	afx_msg void OnUpdateViewColorbar(CCmdUI *pCmdUI);
protected:
	CComboBox m_ctlWidth;
public:
	BOOL CreateColorBar(void);
protected:
	afx_msg void OnSelChangeWidth(void);
public:
	void UpdateWidthCB(int iIndex);
};


