#pragma once
#include "afx.h"

class CPerson :
	public CObject
{
	DECLARE_SERIAL (CPerson)
public:
	// Functions for setting the variables
    void SetEmployed(BOOL bEmployed) { m_bEmployed = bEmployed;}
    void SetMaritalStatus(int iStat) { m_iMaritalStatus = iStat;}
    void SetAge(int iAge) { m_iAge = iAge;}
    void SetName(CString sName) {m_strName = sName;}
    // Functions for getting the current settings of the variables
    BOOL GetEmployed() { return m_bEmployed;}
    int GetMaritalStatus() { return m_iMaritalStatus;}
    int GetAge() { return m_iAge;}
    CString GetName() { return m_strName;}
	CPerson(void);
	~CPerson(void);
private:
    // Is the person employed
	BOOL m_bEmployed;
    // The person's age
	int m_iAge;
    // The person's name
	CString m_strName;
    // The person's marital status
	int m_iMaritalStatus;
public:
	void Serialize(CArchive& ar);
};
