// SerializeView.h : interface of the CSerializeView class
//


#pragma once


class CSerializeView : public CFormView
{
protected: // create from serialization only
	CSerializeView();
	DECLARE_DYNCREATE(CSerializeView)

public:
	enum{ IDD = IDD_SERIALIZE_FORM };

// Attributes
public:
	CSerializeDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CSerializeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	CString m_sName;
	int m_iAge;
	int m_iMaritalStatus;
	BOOL m_bEmployed;
	CString m_sPosition;
private:
	CPerson* m_pCurPerson;
	void PopulateView(void);
public:
	afx_msg void OnBnClickedBfirst();
	afx_msg void OnBnClickedBprev();
	afx_msg void OnBnClickedBnext();
	afx_msg void OnBnClickedBlast();
	afx_msg void OnBnClickedCbemployed();
	afx_msg void OnEnChangeEname();
	afx_msg void OnEnChangeEage();
	afx_msg void OnBnClickedRsingle();
	void NewDataSet(void);
};

#ifndef _DEBUG  // debug version in SerializeView.cpp
inline CSerializeDoc* CSerializeView::GetDocument() const
   { return reinterpret_cast<CSerializeDoc*>(m_pDocument); }
#endif

