// TestAppDoc.cpp : implementation of the CTestAppDoc class
//

#include "stdafx.h"
#include "TestApp.h"

#include "TestAppDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTestAppDoc

IMPLEMENT_DYNCREATE(CTestAppDoc, CDocument)

BEGIN_MESSAGE_MAP(CTestAppDoc, CDocument)
END_MESSAGE_MAP()


// CTestAppDoc construction/destruction

CTestAppDoc::CTestAppDoc()
{
	// TODO: add one-time construction code here

}

CTestAppDoc::~CTestAppDoc()
{
}

BOOL CTestAppDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)
	// Get the position of the view
    POSITION pos = GetFirstViewPosition();
    // Did we get a valid position?
    if (pos != NULL)
    {
        // Get a pointer to the view
        CView* pView = GetNextView(pos);
        RECT rWndRect;
        // Get the display area rectangle
        pView->GetClientRect(&rWndRect);
        // Set the drawing area
        m_maDrawing.SetRect(rWndRect);
        // Create a new drawing
        m_maDrawing.NewDrawing();
    }

	return TRUE;
}




// CTestAppDoc serialization

void CTestAppDoc::Serialize(CArchive& ar)
{
    // Serialize the drawing
    m_maDrawing.Serialize(ar);
}


// CTestAppDoc diagnostics

#ifdef _DEBUG
void CTestAppDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CTestAppDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CTestAppDoc commands

void CTestAppDoc::DeleteContents()
{
	// TODO: Add your specialized code here and/or call the base class
	// Delete the drawing
    m_maDrawing.ClearDrawing();

	CDocument::DeleteContents();
}

CModArt* CTestAppDoc::GetDrawing(void)
{
    // Return the drawing object
    return &m_maDrawing;
}
