// WebBrowseView.cpp : implementation of the CWebBrowseView class
//

#include "stdafx.h"
#include "WebBrowse.h"

#include "WebBrowseDoc.h"
#include "WebBrowseView.h"
#include "MainFrm.h"
#include "CHtmlDocument2.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CWebBrowseView

IMPLEMENT_DYNCREATE(CWebBrowseView, CHtmlView)

BEGIN_MESSAGE_MAP(CWebBrowseView, CHtmlView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CHtmlView::OnFilePrint)
	ON_COMMAND(ID_NAVIGATE_BACK, OnNavigateBack)
	ON_COMMAND(ID_NAVIGATE_NEXT, OnNavigateNext)
	ON_COMMAND(ID_NAVIGATE_STOP, OnNavigateStop)
	ON_COMMAND(ID_NAVIGATE_REFRESH, OnNavigateRefresh)
END_MESSAGE_MAP()

// CWebBrowseView construction/destruction

CWebBrowseView::CWebBrowseView()
{
	// TODO: add construction code here

}

CWebBrowseView::~CWebBrowseView()
{
}

BOOL CWebBrowseView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CHtmlView::PreCreateWindow(cs);
}

void CWebBrowseView::OnInitialUpdate()
{
	CHtmlView::OnInitialUpdate();
	Navigate2(_T("http://www.msdn.microsoft.com/visualc/"),NULL,NULL);
}


// CWebBrowseView printing



// CWebBrowseView diagnostics

#ifdef _DEBUG
void CWebBrowseView::AssertValid() const
{
	CHtmlView::AssertValid();
}

void CWebBrowseView::Dump(CDumpContext& dc) const
{
	CHtmlView::Dump(dc);
}

CWebBrowseDoc* CWebBrowseView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CWebBrowseDoc)));
	return (CWebBrowseDoc*)m_pDocument;
}
#endif //_DEBUG


// CWebBrowseView message handlers

void CWebBrowseView::OnDocumentComplete(LPCTSTR lpszURL)
{
	// TODO: Add your specialized code here and/or call the base class
    // Pass the new URL to the address bar
    ((CMainFrame*)GetParentFrame())->SetAddress(lpszURL);

    // Get an instance of the HTMLDocument2 interface
    CHTMLDocument2* pHDoc = new CHTMLDocument2(GetHtmlDocument());
    // Get the page title
    CString strTitle = pHDoc->get_title();
    // Get a pointer to the document class
    CWebBrowseDoc* pDoc = GetDocument();
    // Set the page title
    pDoc->SetTitle(strTitle);
    // Clean up
    delete pHDoc;

	CHtmlView::OnDocumentComplete(lpszURL);
}

void CWebBrowseView::OnNavigateBack()
{
	// TODO: Add your command handler code here
    // Go to the previous page
    GoBack();
}

void CWebBrowseView::OnNavigateNext()
{
	// TODO: Add your command handler code here
    // Go to the next page
    GoForward();
}

void CWebBrowseView::OnNavigateStop()
{
	// TODO: Add your command handler code here
    // Stop the current download
    Stop();
}

void CWebBrowseView::OnNavigateRefresh()
{
	// TODO: Add your command handler code here
    // Reload the current page
    Refresh();
}
