// WebBrowseView.h : interface of the CWebBrowseView class
//


#pragma once


class CWebBrowseView : public CHtmlView
{
protected: // create from serialization only
	CWebBrowseView();
	DECLARE_DYNCREATE(CWebBrowseView)

// Attributes
public:
	CWebBrowseDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CWebBrowseView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	virtual void OnDocumentComplete(LPCTSTR lpszURL);
	afx_msg void OnNavigateBack();
	afx_msg void OnNavigateNext();
	afx_msg void OnNavigateStop();
	afx_msg void OnNavigateRefresh();
};

#ifndef _DEBUG  // debug version in WebBrowseView.cpp
inline CWebBrowseDoc* CWebBrowseView::GetDocument() const
   { return reinterpret_cast<CWebBrowseDoc*>(m_pDocument); }
#endif

