// Tasking.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "Tasking.h"
#include "MainFrm.h"

#include "TaskingDoc.h"
#include "TaskingView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTaskingApp

BEGIN_MESSAGE_MAP(CTaskingApp, CWinApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	// Standard file based document commands
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP()


// CTaskingApp construction

CTaskingApp::CTaskingApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CTaskingApp object

CTaskingApp theApp;

// CTaskingApp initialization

BOOL CTaskingApp::InitInstance()
{
	// InitCommonControls() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	InitCommonControls();

	CWinApp::InitInstance();

	// Initialize OLE libraries
	if (!AfxOleInit())
	{
		AfxMessageBox(IDP_OLE_INIT_FAILED);
		return FALSE;
	}
	AfxEnableControlContainer();
	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));
	LoadStdProfileSettings(4);  // Load standard INI file options (including MRU)
	// Register the application's document templates.  Document templates
	//  serve as the connection between documents, frame windows and views
	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CTaskingDoc),
		RUNTIME_CLASS(CMainFrame),       // main SDI frame window
		RUNTIME_CLASS(CTaskingView));
	AddDocTemplate(pDocTemplate);
	// Parse command line for standard shell commands, DDE, file open
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);
	// Dispatch commands specified on the command line.  Will return FALSE if
	// app was launched with /RegServer, /Register, /Unregserver or /Unregister.
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;
	// The one and only window has been initialized, so show and update it
	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();
	// call DragAcceptFiles only if there's a suffix
	//  In an SDI app, this should occur after ProcessShellCommand
	return TRUE;
}



// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()

// App command to run the dialog
void CTaskingApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}


// CTaskingApp message handlers


BOOL CTaskingApp::OnIdle(LONG lCount)
{
	// TODO: Add your specialized code here and/or call the base class
	// Call the ancestor's idle processing
	CWinApp::OnIdle(lCount);

	// Get the position of the first document template
	POSITION pos = GetFirstDocTemplatePosition();
    // Do we have a valid template position?
    if (pos)
    {
        // Get a pointer to the document template
        CDocTemplate* pDocTemp = GetNextDocTemplate(pos);
        // Do we have a valid pointer?
        if (pDocTemp)
        {
            // Get the position of the first document
            POSITION dPos = pDocTemp->GetFirstDocPosition();
            // Do we have a valid document position?
            if (dPos)
            {
                // Get a pointer to the document
                CTaskingDoc* pDocWnd =
                    (CTaskingDoc*)pDocTemp->GetNextDoc(dPos);
                // Do we have a valid pointer?
                if (pDocWnd)
                {
                    // Get the position of the view
                    POSITION vPos = pDocWnd->GetFirstViewPosition();
                    // Do we have a valid view position?
                    if (vPos)
                    {
                        // Get a pointer to the view
                        CTaskingView* pView = 
                              (CTaskingView*)pDocWnd->GetNextView(vPos);
                        // Do we have a valid pointer?
                        if (pView)
                        {
                            // Should we spin the first idle thread?
                            if (pView->m_bOnIdle1)
                                // Spin the first idle thread
                                pDocWnd->DoSpin(0);
                            // Should we spin the second idle thread?
                            if (pView->m_bOnIdle2)
                                // Spin the second idle thread
                                pDocWnd->DoSpin(2);
                        }
                    }
                }
            }
        }
    }
	return TRUE;
}
