// SockDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "mysocket.h"


// CSockDlg dialog
class CSockDlg : public CDialog
{
// Construction
public:
	CSockDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SOCK_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	int m_iType;
	CString m_strName;
	int m_iPort;
	CButton m_ctlConnect;
	CString m_strMessage;
	CListBox m_ctlSent;
	CListBox m_ctlRecvd;
	afx_msg void OnBnClickedRType();
private:
	CMySocket m_sListenSocket;
	CMySocket m_sConnectSocket;
public:
	afx_msg void OnBnClickedBconnect();
	void OnAccept(void);
	void OnConnect(void);
	void OnSend(void);
	void OnReceive(void);
	void OnClose(void);
	afx_msg void OnBnClickedBsend();
	afx_msg void OnBnClickedBclose();
};
