#include "StdAfx.h"
#include "environmentinfo.h"
#using <mscorlib.dll>

CEnvironmentInfo::CEnvironmentInfo(void)
{
}

CEnvironmentInfo::~CEnvironmentInfo(void)
{
}

void CEnvironmentInfo::ShowOSVersion(void)
{
    String* strLine;

    // Get the current OS version
    strLine = String::Concat(S"OS Version: ", Environment::get_OSVersion());
    // Display the OS version to the user
    Console::WriteLine(strLine);
}

void CEnvironmentInfo::ShowCurDirectory(void)
{
    String* strLine;

    // Get the current directory
    strLine = String::Concat(S"Current Directory: ", Environment::get_CurrentDirectory());
    // Display the directory to the user
    Console::WriteLine(strLine);
}

void CEnvironmentInfo::ShowMachineName(void)
{
    String* strLine;

    // Get the machine name
    strLine = String::Concat(S"Machine Name: ", Environment::get_MachineName());
    // Display the machine name to the user
    Console::WriteLine(strLine);
}

void CEnvironmentInfo::ShowUserName(void)
{
    String* strLine;

    // Get the current user name
    strLine = String::Concat(S"User Name: ", Environment::get_UserName());
    // Display the user name to the user
    Console::WriteLine(strLine);
}

void CEnvironmentInfo::ShowDomainName(void)
{
    String* strLine;

    // Get the current domain name
    strLine = String::Concat(S"Domain Name: ", Environment::get_UserDomainName());
    // Display the domain name to the user
    Console::WriteLine(strLine);
}

void CEnvironmentInfo::ShowClrVersion(void)
{
    String* strLine;

    // Get the CLR environment version
    Version* verClr = Environment::get_Version();
    // Format the CLR version information in a string
    strLine = String::Concat(S"CLR Version: ", verClr->ToString());
    // Display the CLR version for the user
    Console::WriteLine(strLine);
}
